#include "KinectOpenNISourcePluginFactory.h"
#include "KinectOpenNISourcePlugin.h"

#include <QtPlugin>

KinectOpenNISourcePluginFactory::KinectOpenNISourcePluginFactory()
{
}

KinectOpenNISourcePluginFactory::~KinectOpenNISourcePluginFactory()
{
}

ritk::SourcePlugin*
KinectOpenNISourcePluginFactory::CreateInstance()
{
	return new KinectOpenNISourcePlugin();
}

QString
KinectOpenNISourcePluginFactory::GetName()
{
	return tr("KinectOpenNI");
}

QString
KinectOpenNISourcePluginFactory::GetDescription()
{
	return tr("Microsoft Kinect Sensor with OpenNI");
}


Q_EXPORT_PLUGIN2(KinectPlayer, KinectOpenNISourcePluginFactory)
